> For the complete documentation index, see [llms.txt](https://docs.ante.finance/ante/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/test-an-ante-test-offline.md).

# Test an Ante Test Offline

## Testing Locally

The most basic method to test your new Ante Test is to run a local blockchain, compile your Solidity code, and deploy the contracts to the local blockchain to make sure that works.

As long as the Ante Test compiles and can be deployed to the local network, you're ready than to deploy to the mainnet.

**Our recommended method using the Ante Community Repo:** [Local Testing](/ante/v05/for-devs/writing-an-ante-test/writing-and-testing-an-ante-test.md#testing-the-unit-test)

## Testing Online

[Remix](https://remix.ethereum.org) is an online IDE option for writing and compiling solidity code. Bringing in the Ante Test that you've written, you can write it in Remix as an easy, quick option to write, compile, and deploy to a test network such as `Kovan` or `Rinkeby` to see if it works.

Like before, once the Ante Test compiles and can be deployed to a test network through the Remix IDE, then you're ready to deploy to mainnet.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/test-an-ante-test-offline.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
